  NAME

  progressbar - Create and manipulate progressbar widgets

  SYNOPSIS

  progressbar pathName ?options?

  STANDARD OPTIONS

  -borderwidth or -bd, borderWidth, BorderWidth
  -relief, relief, Relief

  WIDGET-SPECIFIC OPTIONS

  -background, background, Background
  -color, color, Color
  -percent, percent, Percent
  -shape, shape, Shape
  -variable, variable, Variable
  -width, width, Width

  DESCRIPTION
  WIDGET COMMAND

  pathName cget option
  pathName configure ?option? ?value option value ...?

  BINDINGS
  KEYWORDS

### NAME

progressbar - Create and manipulate progressbar widgets

### SYNOPSIS

progressbar pathName ?options?

### STANDARD OPTIONS

-borderwidth or -bd, borderWidth, BorderWidth
-relief, relief, Relief

### WIDGET-SPECIFIC OPTIONS

Command-Line Name: -background
Database Name: background
Database Class: Background
  This option is the same as the standard background option except that its value may also be specified as an empty string. In this case, the widget will display no background or border, and no colors will be consumed from its colormap for its background and border.
Command-Line Name: -color
Database Name: color
Database Class: Color
  Specifies a color to use for the progressbar it self. Color may be specified in any of the forms acceptable for a color option or can be one of the predefined colors: @blue0, @blue1, @blue2, @blue3, @blue4, @green0, @green1, @green2, @green3, @yellow0, @yellow1, @red0, @red1, @magenta0, @brown0, @brown1 or @gray0.
Command-Line Name: -percent
Database Name: percent
Database Class: Percent
  The value of the percent must be an integer between 0 and 100.
Command-Line Name: -shape
Database Name: shape
Database Class: Shape
  Specifies the 3-D effect desired for the widget. Acceptable values are 3D or flat. The value indicates how the widget will display the progressbar.
Command-Line Name: -variable
Database Name: variable
Database Class: Variable
  Specifies name of global variable to set the percent value.
Command-Line Name: -width
Database Name: width
Database Class: Width
  Specifies the desired width for the window in any of the forms acceptable to Tk_GetPixels. If this option is less than or equal to zero then the window will not request any size at all.

### DESCRIPTION

The progressbar command creates a new window (given by the pathName argument) and makes it into a progressbar widget. Additional options, described above, may be specified on the command line or in the option database to configure aspects of the progressbar such as its background color and relief. The progressbar command returns the path name of the new window.

A progressbar is a simple widget. Its primary purpose is to show the progress of any action in percent. The only features of a progressbar are its background color and an optional 3-D border to make the progressbar appear raised or sunken.

### WIDGET COMMAND

The progressbar command creates a new Tcl command whose name is the same as the path name of the progressbar's window. This command may be used to invoke various operations on the widget. It has the following general form:

    pathName option ?arg arg ...?

PathName is the name of the command, which is the same as the progressbar widget's path name. Option and the args determine the exact behavior of the command. The following commands are possible for progressbar widgets:

pathName cget option
  Returns the current value of the configuration option given by option. Option may have any of the values accepted by the progressbar command.
pathName configure ?option? ?value option value ...?
  Query or modify the configuration options of the widget. If no option is specified, returns a list describing all of the available options for pathName (see Tk_ConfigureInfo for information on the format of this list). If option is specified with no value, then the command returns a list describing the one named option (this list will be identical to the corresponding sublist of the value returned if no option is specified). If one or more option-value pairs are specified, then the command modifies the given widget option(s) to have the given value(s); in this case the command returns an empty string. Option may have any of the values accepted by the progressbar command.

### BINDINGS

When a new progressbar is created, it has no default event bindings: progressbars are not intended to be interactive.

### KEYWORDS

progressbar, widget

    Copyright © 2000 Alexander Schoepe